org.apache.commons.math3.util

## Interface NumberTransformer

All Known Implementing Classes:
  DefaultTransformer, TransformerMap

    public interface NumberTransformer

Subclasses implementing this interface can transform Objects to doubles.

Version:
  $Id: NumberTransformer.java 1416643 2012-12-03 19:37:14Z tn $ No longer extends Serializable since 2.0

### Method Summary

Methods
`double` `transform(java.lang.Object o)` Implementing this interface provides a facility to transform from Object to Double.

### Method Detail

#### transform

    double transform(java.lang.Object o)
                     throws MathIllegalArgumentException

Implementing this interface provides a facility to transform from Object to Double.

Parameters:
  `o` - the Object to be transformed.
Returns:
  the double value of the Object.
Throws:
  `MathIllegalArgumentException` - if the Object can not be transformed into a Double.